> ## Documentation Index
> Fetch the complete documentation index at: https://docs.diversion.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization member

> Get details about a specific member in the organization



## OpenAPI

````yaml get /organizations/{org_id}/members/{user_id}
openapi: 3.0.3
info:
  title: Diversion Core API
  description: >-
    Definition of the Core API used to access low-level functionality of
    Diversion
  version: 0.2.0
servers:
  - url: https://api.diversion.dev/v0
    description: Base endpoint
security: []
paths:
  /organizations/{org_id}/members/{user_id}:
    parameters:
      - $ref: '#/components/parameters/OrgParam'
      - $ref: '#/components/parameters/UserIdParam'
    get:
      tags:
        - Organization Management
      summary: Get organization member
      description: Get details about a specific member in the organization
      operationId: src.handlersv2.organization.get_member
      responses:
        '200':
          description: Organization member details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationMemberData'
        '403':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        default:
          $ref: '#/components/responses/Error'
      security:
        - OAuth2:
            - coreapi/read
components:
  parameters:
    OrgParam:
      in: path
      name: org_id
      schema:
        type: string
      required: true
      description: An ID of an organization
    UserIdParam:
      in: path
      name: user_id
      schema:
        type: string
        example: Google_1192874509253
        minLength: 3
      required: true
      description: A user's ID
  schemas:
    OrganizationMemberData:
      type: object
      properties:
        member:
          $ref: '#/components/schemas/OrganizationMember'
        user:
          $ref: '#/components/schemas/User'
      required:
        - member
        - user
    OrganizationMember:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the organization member
          example: member_123456
        user_id:
          type: string
          description: ID of the user who is a member of the organization
          example: user_123456
        organization_id:
          type: string
          description: ID of the organization
          example: org_123456
        role:
          $ref: '#/components/schemas/AccessMode'
      required:
        - id
        - user_id
        - organization_id
        - role
    User:
      description: User details
      type: object
      properties:
        image:
          type: string
          description: >-
            URL of the user image. If updating the image, could be a base64
            encoded image.
          maxLength: 524288
        email:
          type: string
          format: email
        full_name:
          type: string
        id:
          type: string
        name:
          type: string
        tier:
          $ref: '#/components/schemas/Tier'
      required:
        - id
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        detail:
          type: string
        title:
          type: string
        type:
          type: string
      required:
        - status
        - detail
    AccessMode:
      type: string
      enum:
        - READ
        - WRITE
        - ADMIN
        - OWNER
    Tier:
      description: The tier of the user
      type: string
      enum:
        - EDUCATION
        - INDIE
        - PROFESSIONAL
        - ENTERPRISE
        - UNKNOWN
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: The specified resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Error:
      description: An error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OAuth2:
      type: oauth2
      x-tokenInfoFunc: src.token_info.token_auth
      description: This API uses OAuth 2 with the implicit grant flow
      flows:
        implicit:
          authorizationUrl: https://auth.diversion.dev/oauth2/authorize
          scopes:
            coreapi/read: Operations with no possible side-effects
            coreapi/write: Modifying operations
            coreapi/admin: >-
              Organizational operations like adding a repo or changing repo
              properties

````